Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/usr.sbin/postinstall Pluck dhcpcd.conf from dist/src



details:   https://anonhg.NetBSD.org/src/rev/dd51857bd366
branches:  trunk
changeset: 822699:dd51857bd366
user:      roy <roy%NetBSD.org@localhost>
date:      Sat Apr 01 19:14:10 2017 +0000

description:
Pluck dhcpcd.conf from dist/src
Move dhcpcd.duid and dhcpcd.secret from /etc to /var/db/dhcpcd/{duid,secret}

diffstat:

 usr.sbin/postinstall/postinstall |  18 ++++++++++++++++--
 1 files changed, 16 insertions(+), 2 deletions(-)

diffs (38 lines):

diff -r a585969a1f0a -r dd51857bd366 usr.sbin/postinstall/postinstall
--- a/usr.sbin/postinstall/postinstall  Sat Apr 01 19:02:58 2017 +0000
+++ b/usr.sbin/postinstall/postinstall  Sat Apr 01 19:14:10 2017 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: postinstall,v 1.210 2017/02/11 19:35:45 uwe Exp $
+# $NetBSD: postinstall,v 1.211 2017/04/01 19:14:10 roy Exp $
 #
 # Copyright (c) 2002-2015 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -885,11 +885,25 @@
        failed=0
 
        find_file_in_dirlist dhcpcd.conf "dhcpcd.conf" \
-           "${SRC_DIR}/external/bsd/dhcpcd/dist" "${SRC_DIR}/etc" || return 1
+           "${SRC_DIR}/external/bsd/dhcpcd/dist/src" \
+           "${SRC_DIR}/etc" || return 1
                        # ${dir} is set by find_file_in_dirlist()
        populate_dir "$op" true "${dir}" "${DEST_DIR}/etc" 644 dhcpcd.conf
        failed=$(( ${failed} + $? ))
 
+       check_dir "${op}" "${DEST_DIR}/var/db/dhcpcd" 755
+       failed=$(( ${failed} + $? ))
+
+       move_file "${op}" \
+               "${DEST_DIR}/etc/dhcpcd.duid" \
+               "${DEST_DIR}/var/db/dhcpcd/duid"
+       failed=$(( ${failed} + $? ))
+
+       move_file "${op}" \
+               "${DEST_DIR}/etc/dhcpcd.secret" \
+               "${DEST_DIR}/var/db/dhcpcd/secret"
+       failed=$(( ${failed} + $? ))
+
        return ${failed}
 }
 



Home | Main Index | Thread Index | Old Index